### Class

# RB PodcastSearch

#### Description

    class RB.PodcastSearch : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- RBPodcastSearchITunes

#### Instance methods

###### rb_podcast_search_cancel

No description available.

###### rb_podcast_search_finished

No description available.

###### rb_podcast_search_result

No description available.

###### rb_podcast_search_start

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### RB.PodcastSearch::finished

No description available.

###### RB.PodcastSearch::result

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct RBPodcastSearchClass {
      GObjectClass parent;
      void (* start) (
        RBPodcastSearch* search,
        const char* text,
        int max_results
      );
      void (* cancel) (
        RBPodcastSearch* search
      );

    }

No description available.

###### Class members

`parent: GObjectClass`

  No description available.

`start: void (* start) ( RBPodcastSearch* search, const char* text, int max_results )`

  No description available.

`cancel: void (* cancel) ( RBPodcastSearch* search )`

  No description available.

#### Virtual methods

###### RB.PodcastSearchClass.cancel

No description available.

###### RB.PodcastSearchClass.start

No description available.